#!/bin/sh
# AQEMU 0.5.2 Installation Script
# Lisence: GPL v2
# Author: Andrey Rijov (aka RDron)
# Author: Denis Smirnov (aka reMiND)

# User Set Other Installation Dir?
if [ -n "$1" ]
then
	DESTDIR=$1
	echo "Install Data Path Changet to: $1"
fi

# Default Installation Dirs For Linux
PREFIX=/usr

# Set Installation Dirs For FreeBSD
if uname -a | grep "FreeBSD" > /dev/null;
then
PREFIX=/usr/local
fi
BINDIR=$DESTDIR$PREFIX/bin
DATADIR=$DESTDIR$PREFIX/share
MENUDIR=$DESTDIR$PREFIX/share

# Unistall Previous AQEMU Version
echo "Find and Remove Previous AQEMU Installations..."

FIND_PREV="no"

if [ -x /usr/share/aqemu ]
then
	FIND_PREV="yes"
	echo "Remove /usr/share/aqemu Directory..."
	rm -rf /usr/share/aqemu
fi

if [ -x /usr/share/apps/aqemu ]
then
	FIND_PREV="yes"
	echo "Remove /usr/share/apps/aqemu Directory..."
	rm -rf /usr/share/apps/aqemu
fi

if [ -x /usr/local/share/aqemu ]
then
	FIND_PREV="yes"
	echo "Remove /usr/local/share/aqemu Directory..."
	rm -rf /usr/local/share/aqemu
fi

if test "$FIND_PREV" = "no"; then
	echo "No Previous AQEMU Versions Averable."
fi

# Copy New Data Files
echo "Installing new AQEMU Files..."
install -Dm 755 ./AQEMU $BINDIR/aqemu
install -d $DATADIR/aqemu/
install -d $DATADIR/aqemu/os_icons
install -d $DATADIR/aqemu/os_templates
install -Dm 644 ./aqemu_ru.qm $DATADIR/aqemu/
install -Dm 644 ./os_icons/* $DATADIR/aqemu/os_icons/
install -Dm 644 ./os_templates/* $DATADIR/aqemu/os_templates/

echo "Create Menu Items..."
install -Dm 644 ./menu_data/aqemu.desktop $MENUDIR/applications/aqemu.desktop
install -Dm 644 ./menu_data/aqemu $MENUDIR/menu/aqemu
install -d $MENUDIR/pixmaps
install -m 644 ./menu_data/*.png $MENUDIR/pixmaps/

#sedом пройтись по /menu/aqemu, поправить пути до png, в случаи с PREFIX=/usr/local
echo "Installation Complete!"
exit 0
